package fr.im2ag.m2cci.animation.applis;

import java.io.FileDescriptor;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.util.Scanner;

import javax.swing.JFrame;
import javax.swing.WindowConstants;

import fr.im2ag.m2cci.animation.Dessin;
import fr.im2ag.m2cci.animation.reader.DessinFileReader;

/**
 * Programme de test qui lit un fichier texte contenant des descriptions de formes
 * éventuellement animées, crée les objets formes et animateurs correspondant
 * et les ajoute à un Dessin affiché dans une fenêtre.
 * 
 * @author Philippe Genoud
 */
public class TestDessinFileReader {

    public static void main(String[] args) throws Exception {
        try {
            System.setOut(new PrintStream(new FileOutputStream(FileDescriptor.out), true, "UTF-8"));
        } catch (UnsupportedEncodingException e) {
            throw new InternalError("VM does not support mandatory encoding UTF-8");
        }
        // création de la fenêtre de l'application
        JFrame laFenetre = new JFrame("Chenilles, etc.");
        laFenetre.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        laFenetre.setSize(512, 512);

        // création de la zône de dessin dans la fenêtre
        Dessin d = new Dessin();
        laFenetre.getContentPane().add(d);

        // affiche la fenêtre
        laFenetre.setVisible(true);

        // chargement des données à partir d'un fichier
        Scanner sc = new Scanner(System.in);
        System.out.println("Entrez le chemin relatif pour accéder au fichier de données : ");
        String cheminRelatif = sc.nextLine();
        String cheminAbsolu = System.getProperty("user.dir") + "/" + cheminRelatif;
        DessinFileReader.chargerDessinables(cheminAbsolu, d);

        while (true) {
            // la zone de dessin se réaffiche
            d.repaint();
            // un temps de pause pour avoir le temps de voir le nouveau dessin
            d.pause(50);
            // fait réaliser aux objets animés un déplacement élémentaire
            d.deplacerObjets();
        }

    }

} 

