package fr.im2ag.m2cci.animation.reader;

/**
 * Exception levée lorsque lors de la lecture d'une description de formes
 * le nombres d'arguments décrivant l'objet ne correspond pas à ce qui est
 * attendu.
 * 
 * @author Philippe Genoud - UJF Grenoble - Lab LIG-Steamer
 */
public class NombreArgumentsIncorrect extends DessinFileReaderException {

    /**
     * @param noLigne numéro de la ligne dans le fichier où l'erreur est intervenue
     * @param typeObjet le type de l'objet décrit
     * @param nbArgsEffectifs le nombre d'argument contenus dans la description
     * @param nbArgsAttendus le nombre d'arguments que la description devrait contenir
     */
    public NombreArgumentsIncorrect(int noLigne, String typeObjet, int nbArgsEffectifs, int nbArgsAttendus) {
        super(noLigne, "nombre d'arguments incorrect\n"
                + nbArgsEffectifs + " arguments au lieu de " + nbArgsAttendus 
                + " attendus  pour un " + typeObjet 
        );
    }
}
